Page MenuHomePhabricator

[DO NOT USE] Edit summary issues (tracking) [superseded by #MediaWiki-Commenting]
Closed, InvalidPublic

Description

This tracking task has been superseded by the project MediaWiki-Comment-backend as requested in T208156: Replace tracking task T119681 by creating #MediaWiki-Commenting. Please use / watch the project MediaWiki-Comment-backend instead of this task.

Event Timeline

Quiddity raised the priority of this task from to Normal.
Quiddity updated the task description. (Show Details)
Quiddity added a project: Tracking-Neverending.
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 26 2015, 12:00 AM
Quiddity renamed this task from Edit summary (tracking) to Edit summary issues (tracking).Nov 26 2015, 12:01 AM
Quiddity set Security to None.
Quiddity updated the task description. (Show Details)Nov 26 2015, 1:32 AM
Liuxinyu970226 added a comment.EditedJun 28 2017, 9:21 AM

@Quiddity Shouldn't we create MediaWiki-Comment-backend instead?

@Quiddity Shouldn't we create MediaWiki-Comment-backend instead?

That sounds reasonable to me. :)

Is this only about the edit summary of pages? If so, wondering if this might be a sub-project of MediaWiki-Page-editing

Is this only about the edit summary of pages? If so, wondering if this might be a sub-project of MediaWiki-Page-editing

Currently, this listing includes tasks that are part of other extensions, such as Translate and Flow and Mobile and visual editor, so I think it would probably need to be kept separate?

Note that this tracking task will soon be converted into a Phabricator project (MediaWiki-Comment-backend), as proposed in T208156: Replace tracking task T119681 by creating #MediaWiki-Commenting.

MGChecker closed this task as Invalid.Nov 12 2018, 7:10 PM
MGChecker lowered the priority of this task from Normal to Lowest.
MGChecker removed subtasks: T208156: Replace tracking task T119681 by creating #MediaWiki-Commenting, T12710: Link to old name in edit summary of page move should have redirect=no, T4998: Issues with links in captions of file links in edit summary, T147031: Automatic undo/revert edit summary should use consistent IPv6 formatting, T157524: Make autosummary for multiple revision undos, T188865: Edit summaries containing many stacked combining characters ("Zalgo") can overflow the line box, T6765: Provide a default edit summary when restoring an old revision of page, T26783: Section links on history and diff pages should be permalinks (with &oldid=), T2931: automatic edit summary for categorizing pages, T10912: The "Prompt me when entering a blank edit summary" wrongly triggers for undo edits, T10341: Separate edit summaries when adding comments to a page, T36984: Edit summaries length should have a countdown for remaining characters, T15599: Expand spam blacklist to include edit and other summaries, T50274: VisualEditor: For edit summary field, give users an auto-fill drop-down (or similar) of recent edit summaries they've used, T27351: Log entries and edit summaries should be separate messages, T103279: Mobile editor edit summaries minor issue, T60716: css classes for different kinds of edit summaries, T15108: Warn on edit summaries containing redlinks, T16508: In edit summaries allow monospace styling (e.g. <tt>), T37174: Add shortcut for linking to templates in edit summaries (e.g. {{foo}} -> [[Template:Foo]]), T34076: Translate: Provide way to prevent automatic edit summaries, T15937: Correcting edit summaries, T106259: Unexpected newlines in edit summaries, T18338: Regex matching in edit summaries should be more aggressive, T36266: Support substitution of localisation in edit summaries when saving, T44580: Displayed edit summary wrongly parses square bracket HTML entities as wikilink delimiters, T72271: Flow: Moderation reasons should accept the same limited parsing as normal edit summaries, T99346: Internal links in <noinclude> are not displayed correctly in revision history, T16892: Linkify plain external links in revision editsummary and log reason, T50719: Issues related to section editing (tracking), T17745: Parsing links in edit summaries behaves different from regular parser when missing square brackets, T6714: Epic: Increasing the length of the edit summary.
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptNov 12 2018, 7:12 PM
MGChecker renamed this task from Edit summary issues (tracking) to [DO NOT USE] Edit summary issues (tracking) [superseded by #MediaWiki-Commenting].EditedNov 12 2018, 7:18 PM
MGChecker updated the task description. (Show Details)

This tracking task has been superseded by the project MediaWiki-Comment-backend as requested in T208156: Replace tracking task T119681 by creating #MediaWiki-Commenting. Please use / watch the project MediaWiki-Comment-backend instead of this task.

MGChecker updated the task description. (Show Details)Nov 12 2018, 7:59 PM